Schedule Deployment
curl --request POST \
--url https://api.example.com/deployments/{id}/schedule \
--header 'Content-Type: application/json' \
--data '
{
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"min_time": 123,
"min_runs": 123,
"max_runs": 123
}
'import requests
url = "https://api.example.com/deployments/{id}/schedule"
payload = {
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"min_time": 123,
"min_runs": 123,
"max_runs": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: '2023-11-07T05:31:56Z',
end_time: '2023-11-07T05:31:56Z',
min_time: 123,
min_runs: 123,
max_runs: 123
})
};
fetch('https://api.example.com/deployments/{id}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deployments
Schedule Deployment
Schedule runs for a deployment. For backfills, provide start/end times in the past.
This function will generate the minimum number of runs that satisfy the min and max times, and the min and max counts. Specifically, the following order will be respected.
- Runs will be generated starting on or after the
start_time - No more than
max_runsruns will be generated - No runs will be generated after
end_timeis reached - At least
min_runsruns will be generated - Runs will be generated until at least
start_time + min_timeis reached
POST
/
deployments
/
{id}
/
schedule
Schedule Deployment
Headers
Path Parameters
The deployment id
Body
application/json
The earliest date to schedule
The latest date to schedule
Runs will be scheduled until at least this long after the start_time
The minimum number of runs to schedule
The maximum number of runs to schedule
Response
Successful Response
Was this page helpful?
⌘I